Groovy 1.7.10

## org.codehaus.groovy.control
[Java] Class CompilationUnit.ProgressCallback

    java.lang.Object
      org.codehaus.groovy.control.CompilationUnit.ProgressCallback

    public static abstract class CompilationUnit.ProgressCallback

A callback interface you can use to get a callback after every unit of the compile process. You will be called-back with a ProcessingUnit and a phase indicator. Use setProgressCallback() before running compile() to set your callback.

Method Summary
`void` | `call(ProcessingUnit context, int phase)`

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Method Detail

### call

    public void call(ProcessingUnit context, int phase)

Copyright © 2003-2010 The Codehaus. All rights reserved.